Package org.apache.ignite.internal.management.api

## Annotation Type Argument

    @Retention(RUNTIME)
    @Target(FIELD)
    public @interface Argument

Fields marked with this annotation is command arguments.

See Also:
  `Command`, `CommandsRegistry`

### Optional Element Summary

Optional Elements
`String` `description`
`String` `example`
`boolean` `javaStyleName` Required to keep compatibility with existing `control.sh` output.
`boolean` `optional`
`boolean` `withoutPrefix` Required to keep compatibility with existing `control.sh` behaviour.

### Element Detail

#### optional

    boolean optional

Returns:
  `True` if argument optional, `false` if required.

Default:
  false

#### description

    String description

Returns:
  Argument description.

Default:
  ""

#### example

    String example

Returns:
  Argument example. If empty string returned then example will be generated automatically.

Default:
  ""

#### javaStyleName

    boolean javaStyleName

Required to keep compatibility with existing `control.sh` output.

Returns:
  `True` if paramter name in java style.

Default:
  false

#### withoutPrefix

    boolean withoutPrefix

Required to keep compatibility with existing `control.sh` behaviour.

Returns:
  `True` if parameter name expected without "--" prefix.

Default:
  false